Is it possible to install the desktop-unity on the opensuse 42.1?

Hi
I wanted to know if I could install desktop-unity on opensuse 42.1?
Thanks

https://software.opensuse.org/package/unity

But it is for opensuse.Tumbleweed
It gets installed on opensuse 42.1?

So there is nothing for Leap.

Or pick the src.rpm and try to build it by your own?

I’ve downloaded the scr.rpm, but do not know how to make it for leap 42.1

rpmbuild --rebuild name.src.rpm

TAB and TAB-TAB should help to complete the name:

ُThanks
I tried but did not succeed
My question is, if possible, because someone is not make for leap 42.1

My question is, if possible, because someone is not make for leap 42.1

Ask the original Builder?

But the last Build is shown as unresolveable for 13.2 and Tumbleweed.

It is possible you give me the link scr.rmp files
Maybe I got the wrong Download

http://download.opensuse.org/repositories/home:/MargueriteSu:/unity/openSUSE_Factory/src/
http://download.opensuse.org/repositories/home:/MargueriteSu:/unity/openSUSE_13.2/

don’t use that repo that’s a user repo it might have some personal changes
unity for opensuse can be found here
http://download.opensuse.org/repositories/X11:/Unity/

here it is for LEAP
http://download.opensuse.org/repositories/X11:/Unity/openSUSE_Leap_42.1/

adding that repo with zypper is simple
as it has a repo file you can do

zypper ar -f http://download.opensuse.org/repositories/X11:/Unity/openSUSE_Leap_42.1/X11:Unity.repo

or do it with the repo uirl

zypper ar -f http://download.opensuse.org/repositories/X11:/Unity/openSUSE_Leap_42.1/ X11_Unity

then install unity

zypper in -t pattern Unity

I’ve never used Unity and I remember it didn’t work in the 13.2 days you might need to install Wayland as Unity doesn’t seam to like X

i added rep

sudo zypper ar -f http://download.opensuse.org/repositories/X11:/Unity/openSUSE_Leap_42.1/X11:Unity.repo
root's password:
Adding repository 'Ubuntu Ayatana (openSUSE_Leap_42.1)' ........................................................................[done]
Repository 'Ubuntu Ayatana (openSUSE_Leap_42.1)' successfully added
Enabled     : Yes                                                                     
Autorefresh : Yes                                                                     
GPG Check   : Yes                                                                     
Priority    : 99                                                                      
URI         : http://download.opensuse.org/repositories/X11:/Unity/openSUSE_Leap_42.1/


 

but show error install

 
> sudo zypper in -t pattern Unity
Loading repository data...
Reading installed packages...
'Unity' not found in package names. Trying capabilities.
No provider of 'Unity' found.
Resolving package dependencies...


Nothing to do.



well they didn’t add a pattern to that repo
as I said I don’t use Unity so I have 2 sugestions
#1 goto yast software management, select the Unity repo and install packages from it
#2 install a few packages with zypper, the auto dependency should pull the rest

zypper in unity-greeter indicator-session unity-gtk-module-common unity-gtk2-module unity-gtk3-module unity-settings-daemon

you might need to do a vendor change with that repo to get it working as it seams to have some extra python packages

Thanks
i after installed unity


sudo zypper in unity-greeter indicator-session unity-gtk-module-common unity-gtk2-module unity-gtk3-module unity-settings-daemon
Loading repository data...
Reading installed packages...
'indicator-session' is already installed.
No update candidate for 'indicator-session-12.10.5+14.10.20140825-11.17.x86_64'. The highest available version is already installed.
Resolving package dependencies...


The following 42 NEW packages are going to be installed:
  evolution-data-server evolution-data-server-lang gdmflexiserver geoclue-recommended geocode-glib gnome-settings-daemon
  gnome-themes-accessibility indicator-application indicator-datetime indicator-datetime-lang indicator-sound libaccountsservice0
  libcamel-1_2-52 libcamel-1_2-54 libebackend-1_2-10 libebook-1_2-16 libebook-contacts-1_2-2 libecal-1_2-18 libecal-1_2-19
  libedata-book-1_2-25 libedata-cal-1_2-28 libedataserver-1_2-20 libedataserver-1_2-21 libfcitx-4_2_9 libgeocode-glib0 libgweather-3-6
  libgweather-data libido3-0_1-0 libunity-gtk2-parser0 libunity-gtk3-parser0 lightdm lightdm-gtk-greeter
  lightdm-gtk-greeter-branding-upstream lightdm-gtk-greeter-lang lightdm-lang unity-greeter unity-greeter-lang unity-gtk2-module
  unity-gtk3-module unity-gtk-module-common unity-settings-daemon unity-settings-daemon-lang


The following 14 recommended packages were automatically selected:
  evolution-data-server evolution-data-server-lang geoclue-recommended gnome-themes-accessibility indicator-application
  indicator-datetime indicator-datetime-lang indicator-sound lightdm-gtk-greeter-lang lightdm-lang unity-greeter-lang
  unity-gtk2-module unity-gtk3-module unity-settings-daemon-lang


The following 2 packages are suggested, but will not be installed:
  appmenu-qt NetworkManager-appindicator


42 new packages to install.
Overall download size: 10.9 MiB. Already cached: 0 B. After the operation, additional 36.4 MiB will be used.
Continue? [y/n/? shows all options] (y): y

reboot system
but not add session unity login
my conclusion was that Leap 42.1 does not work like 13.2

I’m on 42.1 I tried to install Unity back when I was on 13.2 then it installed but didn’t work (I believe because I didn’t have Wayland)
the package unity-session (gnome-session-unity-session)
https://software.opensuse.org/package/gnome-session-unity-session?search_term=unity-session
https://build.opensuse.org/project/show/X11:Unity
seams to be missing
you should report it at bugzilla
https://bugzilla.opensuse.org
the Unity maintainers will build it or give you a better answer why it’s not in the X11:Unity repo